package com.wd.workoffice.model;

import com.wd.workoffice.retrofit.ApiService;
import com.wd.workoffice.app.BaseBean;
import com.wd.workoffice.contract.ForgetOneContract;
import com.wd.workoffice.retrofit.RtfUtils;

import flexible.xd.android_base.network.rtfhttp.RtfHelper;
import io.reactivex.Observable;

/**
 * author : flexible
 * email : lgd19940421@163.com
 * github: https://github.com/FlexibleXd
 **/
public class ForgetOneModel implements ForgetOneContract.Model {
    @Override
    public Observable<BaseBean> getCode(String phone, String type) {
        return RtfUtils.getRtf().code(phone, type);
    }

    @Override
    public Observable<BaseBean> verifyCode(String phone, String verifyCode, String type) {
        return RtfUtils.getRtf().verifyCode(phone, verifyCode, type);
    }

    public static ForgetOneModel newInstance() {
        return new ForgetOneModel();
    }
}
